### Class

# Ggit Signature

#### Description [src]

    final class Ggit.Signature : Ggit.Native
    {
      /* No available fields */
    }

Represents an action signature.

#### Ancestors

- GgitNative
- GgitObjectFactoryBase
- GObject

#### Constructors

###### ggit_signature_new

Creates a new `GgitSignature`. Name and e-mail are assumed to be in UTF-8.

###### ggit_signature_new_now

Creates a new `GgitSignature` with a timestamp of ‘now’. Name and e-mail are assumed to be in UTF-8.

#### Instance methods

###### ggit_signature_copy

Create a copy of the signature.

###### ggit_signature_get_email

Gets the email of the person.

###### ggit_signature_get_name

Gets the name of the person.

###### ggit_signature_get_time

Gets the time when the action happened. Note that the time is returned in the timezone of the commit (see #ggit_signature_get_time_zone).

###### ggit_signature_get_time_zone

Gets the timezone in which the action happened.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ggit.Signature:encoding

No description available.

##### Properties inherited from GgitNative (1)

###### Ggit.Native:native

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitSignatureClass {
      GgitNativeClass parent_class;

    }

No description available.

###### Class members

`parent_class: GgitNativeClass`

  No description available.